# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.deployment_api import DeploymentApi  # noqa: E501
from swagger_client.rest import ApiException


class TestDeploymentApi(unittest.TestCase):
    """DeploymentApi unit test stubs"""

    def setUp(self):
        self.api = DeploymentApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_create_deployment_api_keys(self):
        """Test case for create_deployment_api_keys

        Create deployment api keys  # noqa: E501
        """
        pass

    def test_get_deployment(self):
        """Test case for get_deployment

        Get one deployment  # noqa: E501
        """
        pass

    def test_get_deployment_api_keys(self):
        """Test case for get_deployment_api_keys

        Get deployment api keys  # noqa: E501
        """
        pass

    def test_get_deployment_build_logs(self):
        """Test case for get_deployment_build_logs

        Get deployment build logs  # noqa: E501
        """
        pass

    def test_get_deployment_deploy_logs(self):
        """Test case for get_deployment_deploy_logs

        Get deployment deploy logs  # noqa: E501
        """
        pass

    def test_get_deployment_feature_distribution(self):
        """Test case for get_deployment_feature_distribution

        Get deployment features distribution  # noqa: E501
        """
        pass

    def test_get_deployment_features(self):
        """Test case for get_deployment_features

        List deployment features  # noqa: E501
        """
        pass

    def test_get_deployment_run_logs(self):
        """Test case for get_deployment_run_logs

        Get deployment run logs  # noqa: E501
        """
        pass

    def test_get_deployment_variables(self):
        """Test case for get_deployment_variables

        Get deployment env variables  # noqa: E501
        """
        pass

    def test_list_deployment_predictions(self):
        """Test case for list_deployment_predictions

        List deployment predictions  # noqa: E501
        """
        pass

    def test_list_deployments(self):
        """Test case for list_deployments

        Get list of deployments by user  # noqa: E501
        """
        pass

    def test_list_deployments_visible(self):
        """Test case for list_deployments_visible

        Get list of visibles deployments  # noqa: E501
        """
        pass

    def test_remove_deployment(self):
        """Test case for remove_deployment

        Remove deployment  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
